\name{D2K}
\alias{D2K}

\title{ Distance to Kernel}
\description{ This function transfer a distance matrix to a kernel matrix }
\usage{ D2K(D) }

\arguments{
  \item{D}{ A distance matrix }
}
\details{
This function transfers a distance matrix D to a kernel matrix K by \eqn{K=-(I-ee'/n)D^2(I-ee'/n)/2}, where I is the identity matrix, e is the column vector of all ones, and \eqn{D^2} is the element wise matrix square. 
}

\value{A kernel matrix of the same dimension as the original distance matrix}

\references{
Zhao et al. (2015). Testing in microbiome profiling studies with MiRKAT, the Microbiome Regression--based Kernel Association Test (MiRKAT). The American Journal of Human Genetics, 96(5): 797-807 
}

\examples{
library(vegan)
n=200
m=500
OTU=matrix(runif(n*m,0,1),n,m)
D=as.matrix(vegdist(OTU, method="bray"))
D2K(D)
}
